Create Flashcard Set
curl --request POST \
--url https://api.opennote.com/v1/interactives/flashcards/create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"set_description": "<string>",
"count": 10,
"set_name": ""
}
'import requests
url = "https://api.opennote.com/v1/interactives/flashcards/create"
payload = {
"set_description": "<string>",
"count": 10,
"set_name": ""
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({set_description: '<string>', count: 10, set_name: ''})
};
fetch('https://api.opennote.com/v1/interactives/flashcards/create', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "<string>",
"set_name": "<string>",
"flashcards": [
{
"front": "<string>",
"back": "<string>"
}
],
"timestamp": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"error": "<string>"
}API Reference
Create Flashcard Set
POST
/
v1
/
interactives
/
flashcards
/
create
Create Flashcard Set
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Request model for creating a flashcard set.
The description of the flashcard set, i.e. what you want to include in the set.
The number of flashcards to generate
Required range:
1 <= x <= 30The name of the flashcard set, if you want to provide one. If you do not, one will be generated for you at additional cost.
Was this page helpful?
⌘I

